Go to the latest version of this document.

# ``twisted`.`protocols`.`haproxy``

package documentation

HAProxy PROXY protocol implementations.

Module | `_exceptions` | HAProxy specific exceptions.
Module | `_info` | IProxyInfo implementation.
Module | `_interfaces` | Interfaces used by the PROXY protocol modules.
Module | `_parser` | Parser for 'haproxy:' string endpoint.
Module | `_v1parser` | IProxyParser implementation for version one of the PROXY protocol.
Module | `_v2parser` | IProxyParser implementation for version two of the PROXY protocol.
Module | `_wrapper` | Protocol wrapper that provides HAProxy PROXY protocol support.

From `__init__.py`:

Function | `proxyEndpoint` | Wrap an endpoint with PROXY protocol support, so that the transport's `getHost` and `getPeer` methods reflect the attributes of the proxied connection rather than the underlying connection.

def proxyEndpoint(wrappedEndpoint: `interfaces.IStreamServerEndpoint`) -> `_WrapperServerEndpoint`: (source)

Wrap an endpoint with PROXY protocol support, so that the transport's `getHost` and `getPeer` methods reflect the attributes of the proxied connection rather than the underlying connection.

Parameters
wrappedEndpoint:`IStreamServerEndpoint` | The underlying listening endpoint.

Returns
`IStreamServerEndpoint` | a new listening endpoint that speaks the PROXY protocol.